//----------------------------------------------------------------------//
// INIt@CNX												//
//																		//
//----------------------------------------------------------------------//
#ifndef UsrIniFileH
#define UsrIniFileH

class UsrIniFile {
private:
	bool Modified;

	TStringList *AddSection(UnicodeString sct);

public:
	UnicodeString FileName;
	TStringList *SectionList;

	UsrIniFile(UnicodeString fnam);
	~UsrIniFile();

	void Clear();
	void LoadValues();
	void Reload(UnicodeString fnam);
	void DeleteKey(UnicodeString sct, UnicodeString key);
	UnicodeString ReadString(UnicodeString sct, UnicodeString key, UnicodeString def = EmptyStr);
	int  ReadInteger(UnicodeString sct, UnicodeString key, int def = 0);
	bool ReadBool(UnicodeString sct, UnicodeString key, bool def = false);
	double ReadFloat(UnicodeString sct, UnicodeString key, double def = 0.0);
	TColor ReadColor(UnicodeString sct, UnicodeString key, TColor def = clBlack);
	TFont* ReadFontInf(UnicodeString sct, TFont *def = NULL);
	void WriteString(UnicodeString sct, UnicodeString key, UnicodeString v = EmptyStr);
	void WriteInteger(UnicodeString sct, UnicodeString key, int v);
	void WriteBool(UnicodeString sct, UnicodeString key, bool v);
	void UpdateFile();

};
//----------------------------------------------------------------------
extern UsrIniFile  *IniFile;

//----------------------------------------------------------------------
#endif
