//----------------------------------------------------------------------//
// v	bZ[W\												//
//																		//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop

#include <stdlib.h>
#include <algorithm>

#include "UIniFile.h"
#include "UserFunc.h"
#include "usr_wic.h"
#include "frmdraw.h"
#include "Unit1.h"
#include "Unit2.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAlmMsgForm *AlmMsgForm;

//---------------------------------------------------------------------------
__fastcall TAlmMsgForm::TAlmMsgForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::FormCreate(TObject *Sender)
{
	LastActWnd = NULL;
	MsgFont    = new TFont();
	BgImage    = new Graphics::TBitmap();
	BgImgFile  = EmptyStr;

	//
	TransparentColor = false;
	AlphaBlend		 = true;

	RecyclePrc(Sender);
}

//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::FormShow(TObject *Sender)
{
	UnicodeString sct = "MsgBoard";

	//s̍ő啝߂
	UnicodeString sbuf = MsgText;
	UnicodeString lbuf;
	int mwd = 0;
	int ln = 0;
	int p;
	do {
		ln++;
		p = sbuf.Pos("\\n");
		if (p>0) {
			lbuf = sbuf.SubString(1, p - 1);
			sbuf.Delete(1, p + 1);
		}
		else
			lbuf = sbuf;
		MClockForm->ExpFormChar(lbuf);
		mwd = std::max(Canvas->TextWidth(lbuf), mwd);
	} while (p>0);

	//{[hTCYݒ
	TEXTMETRIC tm;
	::GetTextMetrics(Canvas->Handle, &tm);
	ChrHi	= tm.tmHeight;
	IntLine = (tm.tmInternalLeading==0) ? (ChrHi/4) : 0;
	int w	= IniFile->ReadInteger(sct, "FrmWidth",	8);
	MarginX = IniFile->ReadInteger(sct, "MarginX",	ChrHi) + w;
	MarginY = IniFile->ReadInteger(sct, "MarginY",	ChrHi) + w;

	int wd = 200;
	if ((mwd + MarginX*2)>wd) wd = mwd + MarginX*2;
	ClientWidth  = wd;
	ClientHeight = ChrHi*ln + IntLine*(ln - 1) + MarginY*2;

	//Xʒu
	p = IniFile->ReadInteger(sct, "WinRightR",99999);
	if (p!=99999)
		Left = Screen->Width - Width + p;
	else {
		p = IniFile->ReadInteger(sct, "WinRight",99999);
		if (p!=99999)
			Left = p - Width;
		else {
			p = IniFile->ReadInteger(sct, "WinLeft",99999);
			Left = (p!=99999) ? p : (Screen->Width - Width)/2;
		}
	}
	//Yʒu
	p = IniFile->ReadInteger(sct, "WinBottomR",99999);
	if (p!=99999)
		Top = Screen->Height - Height + p;
	else {
		p = IniFile->ReadInteger(sct, "WinBottom",99999);
		if (p!=99999)
			Top = p - Height;
		else {
			p = IniFile->ReadInteger(sct, "WinTop",99999);
			Top = (p!=99999) ? p : (Screen->Height - Height)/2;
		}
	}

	Color = IniFile->ReadColor(sct, "BgColor", DEF_BgColor);

	//wi摜ݒ
	if (!BgImage->Empty) {
	    delete BgImage;
		BgImage = new Graphics::TBitmap();
	}
	if (get_file_name_r(BgImgFile))
		BgImage->LoadFromFile(BgImgFile);
	else {
		UnicodeString file_name = IniFile->ReadString(sct, "BgImage");
		if (get_file_name_r(file_name)) WIC_load_image(file_name, BgImage);
	}

	//}EXJ[\ړ
	if (IniFile->ReadInteger(sct, "JumpCursor",0))
		::SetCursorPos(Left + Width - 12, Top + 10);

	//tF[h/AutoHide Ȃǂݒ
	Timer1->Enabled  = false;
	if (FadeIn) {
		AlphaBlendValue  = 0;
		TimerStt = 20;
		Timer1->Interval = 50;		//tF[h^C 20*50ms = 1s
		Timer1->Enabled  = true;
	}
	else {
		AlphaBlendValue = Alpha;
		TimerStt		= 0;
		if (HideTime>0) {
			Timer1->Interval = HideTime*1000L;
			Timer1->Enabled  = true;
		}
	}
}

//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::FormHide(TObject *Sender)
{
	if (MClockForm->StayOnTop)
		::SetWindowPos(MClockForm->Handle, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOSIZE|SWP_NOMOVE);
	//OɃANeBuEBhEɖ߂
	if (LastActWnd) ::SetForegroundWindow(LastActWnd);
}
//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::FormClose(TObject *Sender,
      TCloseAction &Action)
{
	Timer1->Enabled = false;
}
//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::FormDestroy(TObject *Sender)
{
	delete MsgFont;
    delete BgImage;
}

//---------------------------------------------------------------------------
// tF[hC/ bZ[WIɕ/ tF[hAEg
//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::Timer1Timer(TObject *Sender)
{
	if (FadeIn && TimerStt>0) {
		//tF[hC
		TimerStt--;
		AlphaBlendValue = Alpha*(20-TimerStt)/20;
		if (TimerStt==0) {
			Timer1->Enabled = false;
			if (HideTime>0) {
				Timer1->Interval = HideTime*1000L;
				Timer1->Enabled  = true;
			}
		}
	}
	else if (FadeOut && TimerStt<0) {
		//tF[hAEg
		TimerStt++;
		AlphaBlendValue = Alpha*(-TimerStt)/20;
		if (TimerStt==0) {
			Timer1->Enabled = false;
			Close();
		}
	}
	else {
		//AutoHide bo߁AIɕ(tF[hAEg)
		Timer1->Enabled = false;
		if (FadeOut) {
			TimerStt = -20;
			Timer1->Interval = 50;	//tF[h^C 20*50ms = 1s
			Timer1->Enabled  = true;
		}
		else Close();
	}
}

//---------------------------------------------------------------------------
// bZ[W{[h̕`
//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::FormPaint(TObject *Sender)
{
	//tH[`
	drwinf Dinf;
	LoadDrawInf(&Dinf, IniFile, "MsgBoard");
	Dinf.form = this;
	Dinf.img  = BgImage;
	DrawFormEx(&Dinf);

	//bZ[W
	Canvas->Brush->Style = bsClear;
	UnicodeString sbuf = MsgText;
	UnicodeString lbuf;
	int p, yp = MarginY;
	do {
		p = sbuf.Pos("\\n");
		if (p>0) {
			lbuf = sbuf.SubString(1, p - 1);
			sbuf.Delete(1, p + 1);
		}
		else
			lbuf = sbuf;
		MClockForm->ExpFormChar(lbuf);
		if (FontShadow) {
			Canvas->Font->Color = ColFntShd;
			Canvas->TextOut(MarginX + FsPosX, yp + FsPosY, lbuf);
			Canvas->Font->Color = MsgFont->Color;
		}
		Canvas->TextOut(MarginX, yp, lbuf);
		yp += (ChrHi + IntLine);
	} while (p>0);
}

//---------------------------------------------------------------------------
//NbNꂽ
void __fastcall TAlmMsgForm::FormClick(TObject *Sender)
{
	Close();
}

//---------------------------------------------------------------------------
// ݒ̍ēǍ
//---------------------------------------------------------------------------
void __fastcall TAlmMsgForm::RecyclePrc(TObject *Sender)
{
	UnicodeString sct = "MsgBoard";
	Hide();
	//^Cgo[̗L
	if (IniFile->ReadBool(sct, "NoTitleBar",false))
		BorderStyle = bsNone;
	else
		BorderStyle = bsToolWindow;

	//tHgݒ
	MsgFont->Charset = DEFAULT_CHARSET;
	MsgFont->Name	 = IniFile->ReadString( sct, "FontName",	"lr SVbN");
	MsgFont->Size	 = IniFile->ReadInteger(sct, "FontSize",	16);
	MsgFont->Color	 = IniFile->ReadColor(  sct, "FgColor",		DEF_FgColor);
	TFontStyles fstyle;
	fstyle.Clear();
	if (IniFile->ReadInteger(sct, "FontBold",  0)) fstyle << fsBold;
	if (IniFile->ReadInteger(sct, "FontItalic",0)) fstyle << fsItalic;
	MsgFont->Style = fstyle;
	Canvas->Font->Assign(MsgFont);
	//e
	FontShadow = IniFile->ReadBool(   sct, "FontShadow", false);
	ColFntShd  = IniFile->ReadColor(  sct, "FsColor", DEF_FsColor);
	FsPosX	   = IniFile->ReadInteger(sct, "FsPosX", 1);
	FsPosY	   = IniFile->ReadInteger(sct, "FsPosY", 1);

	//
	Alpha	= IniFile->ReadInteger(sct, "Transparent", 255);
	FadeIn	= IniFile->ReadBool(sct, "FadeIn",  false);
	FadeOut = IniFile->ReadBool(sct, "FadeOut", false);
	AlphaBlendValue = Alpha;

	HideTime = IniFile->ReadInteger(sct, "AutoHide",0);
}
//---------------------------------------------------------------------------

